Subject: Ticket Assigned - Complain - Worst services - No professionalism in call center agent.
From: Splash <[email-masked]>
To: [email-masked]
Date: Tue, 23 Nov 2021 09:17:45 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Complain - Worst services - No professionalism in call center agent. to Whom it may concern , 

I have ordered Ref# 9514506626 , to follow-up I'm calling the service agents ,I spoke to the agent and informed her that if they are unable to deliver today arrange any nearby location and i can go pickup , Her response was that she cant tell when it will be delivered and also doesn't know what is pickup , i shall cancel my order and go to store to purchase . and dropped my line so that i cannot put rating on survey. 
I called again , another agent answered and i informed her i want to put the complain and without any information she dropped my line. 
Im hereby requesting to cancel my order and if there's any concerns for complain and quality services please review the telephonic conversations i had with 2 different agents . 
This is the worst customer service , all my time is wasted to order online , wait and calls , all was useless if i shall go n buy from store. 
Kindly cancel my order , I will put 0 rating and reviews on all possible mediums. 

Thanks and Best regards 
Summaiya ameer058-9989405
connect with me on linked-in

| 

 |

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3435090